#if !defined(OPTIONS_H_20061024_INCLUDED_)
#define OPTIONS_H_20061024_INCLUDED_

#include <stdio.h>
#include <windows.h>
#include "common.h"

enum memsize_unit { MSU_BYTE, MSU_KILOBYTE, MSU_MEGABYTE };

struct option_pack
{
    char *fontname;
    int fontsize; /* in points */
    POINT windowpos;
    SIZE windowsize;
    double opacity;
    long poll_interval; /* in milliseconds */
    enum memsize_unit unit;
    bool destroyed;
};

void init_option_pack(struct option_pack *option);
bool load_options(struct option_pack *option, FILE *fp);
bool save_options(struct option_pack *option, FILE *fp);
void destroy_option_pack(struct option_pack *option);

#endif // !defined(OPTIONS_H_20061024_INCLUDED_)
